<?php

namespace Drupal\migration_decorator\Plugin\migrate\Traits;

/**
 * Helper trait for chopped migration's source plugin.
 */
trait ChoppedSourceTrait {

  /**
   * {@inheritdoc}
   */
  public function query() {
    $query = parent::query();

    if (isset($this->configuration['auto_deriver'])) {
      $ad = $this->configuration['auto_deriver'];
      $query->condition($ad['property'], $ad['min'], '>=');
      $query->condition($ad['property'], $ad['max'], '<=');
    }

    return $query;
  }

}
